Subject: bug#56203: 28.1; completing-read-multiple fails from inside the completion table

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 24 Jun 2022 23:25:58 +0200

Harald Judt <[email-masked]> writes:

> Thanks! I can confirm this on Emacs 28.1. This is an upstream
> bug. Please report it upstream via report-emacs-bug (maybe cc Stefan
> Monnier who is the expert on the table quotation mechanism).
>
>     1. I argue that Vertico calls the API completion-all-completions
>     in the correct way.
>     2. Icomplete use the API completion-all-completions in the same
>     way and fails too.
>     3. Default completion fails too if you enter ~, M-x
>     minibuffer-complete RET. Note that completing-read-multiple
>     overrides minibuffer-complete with crm-complete which shadows the
>    underlying bug in the completion table.
>     4. The error occurs from inside the completion table, and not from
>     Vertico code.

Do you have a recipe to reproduce the problem without Vertico?  I tried:

(completing-read-multiple "Directories: " #'read-file-name-internal #'file-directory-p t nil nil "~/")

And I didn't see any obvious failures.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no